<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <div class="row">
          <div class="col-sm-6">
            <span>
              Menus
            </span>
          </div>
          <div class="col-sm-6">
            <!--            <button class="btn btn-success fa-pull-right btn-xs" [routerLink]="['/bill-payment/create', 'new']">-->
            <!--              Add New Menu-->
            <!--            </button>-->
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-treeTable [value]="data$" >
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columnName">
                {{col.name}}
              </th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-i="rowIndex" let-rowNode let-rowData="rowData">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>
                <p-treeTableToggler [rowNode]="rowNode"></p-treeTableToggler>
                {{rowData.name}}
              </td>
              <td>{{rowData.url}}</td>
              <td>{{rowData.icon}}</td>
              <td>
                <p-inputSwitch
                  [name]="rowData.status"
                  [inputId]="rowData.status"
                  (onChange)="handleChange($event, rowData.menuId)"
                  [ngModel]="rowData.status === 'ACTIVE'? true: false ">
                </p-inputSwitch>
              </td>
              <td>
                <a (click)="updateMenu(rowData)">
                  <svg class="bi bi-pencil-square" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor"
                       xmlns="http://www.w3.org/2000/svg">
                    <path
                      d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                    <path fill-rule="evenodd"
                          d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                  </svg>
                </a>
              </td>
            </tr>
          </ng-template>
        </p-treeTable>
      </div>
    </div>
  </div>
</div>


<p-dialog [(visible)]="showConfirmation"
  [modal]="true" [responsive]="true" [maximizable]="true"
  [baseZIndex]="100000"
  [style]="{width: '400px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Update Menu </h3>
  </p-header>
  <form [formGroup]="updateMenuForm">

    <div class="form-group">
      <label for="name">Name
        <span class="required">*</span>
      </label>
      <input type="text"
             class="form-control"
             id="name"
             placeholder="Enter Name"
        [ngClass]="{ 'is-invalid': submitted && f.name.errors }"
             formControlName="name"
      >
      <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
        <div *ngIf="f.name.errors.required">Name is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="icon">Icon
        <span class="required">*</span>
      </label>
      <input type="text"
             class="form-control"
             id="icon"
             placeholder="Advance Taken"
        [ngClass]="{ 'is-invalid': submitted && f.icon.errors }"
             formControlName="icon"
             required
      >
      <div *ngIf="submitted && f.icon.errors" class="invalid-feedback">
        <div *ngIf="f.icon.errors.required">Icon is Required.</div>
      </div>
    </div>

  </form>
  <footer>
    <div class="row">
      <div class="col-sm-6">
        <button class="btn btn-sm btn-success btn-block"
          (click)="submit()"
          [disabled]="loading"
                type="submit">
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
          Submit
        </button>
      </div>
      <div class="col-sm-6">
        <button class="btn btn-sm btn-danger btn-block"
          (click)="resetForm()">
          Cancel
        </button>
      </div>
    </div>
  </footer>
</p-dialog>

